<?PHP

function RCFieldEcho($a)
{
  $cnt = count($a);
  $mcnt = count($a[0]);
  for ($i = 0; $i < $cnt; $i++)
  {
    if ($mcnt > 1 )
    {
      if ($i > 0) echo ';';
      RCFieldEcho($a[$i]);
    }
    else
    {
      if($i > 0) echo',';
      echo $a[$i];
    }
  }
}

?>